import process from 'process'
import express from 'express'
import * as channels from './channels'
import * as invites from './invites'
const pgPromise = require('pg-promise')()


const DB_URL = process.env['DB_CONNECTION_STRING']
const PORT  = process.env['PORT'] || 8000

console.log('db-url', DB_URL)
console.log('port', PORT)

const app   = express()
const db    = pgPromise(DB_URL)


app.get('/invite/<code>', async (req, res) => await invites.code(req, res))
app.get('/channels/list', async (req, res) => await channels.list(req, res, db))
app.post('/channels/create', async (req, res) => await channels.create(req, res))

app.listen(PORT)
